// pages/chooseTag/chooseTag.js
Page({
  data: {
    Arr: [{
      name: "先进技术",
      status: 0
    }, {
      name: "现代农业技术",
      status: 0
    }, {
      name: "生物医药",
      status: 0
    }, {
      name: "电子信息",
      status: 0
    }, {
      name: "新材料生产及公益设施",
      status: 0
    }, {
      name: "新能源与节能环保",
      status: 0
    }, {
      name: "其他",
      status: 0
    }, {
      name: "环保与资源综合利用航空航天与海洋工程",
      status: 0
    }]
  },
  btnClick(e) {
    let Index = e.currentTarget.dataset.index;
    if (this.data.Arr[Index].status == 0) {
      let missionArr = this.data.Arr;
      for (let i in missionArr) {
        if (i == Index) {
          if (missionArr[i].status == 0) {
            missionArr[i].status = parseInt(missionArr[i].status) + 1
          }
        }
      }
      this.setData({
        Arr: missionArr
      })
      return false;
    }
    if (this.data.Arr[Index].status == 1) {
      let missionArr = this.data.Arr;
      for (let i in missionArr) {
        if (i == Index) {
          if (missionArr[i].status == 1) {
            missionArr[i].status = parseInt(missionArr[i].status) - 1
          }
        }
      }
      this.setData({
        Arr: missionArr
      })
    }
  },
  good(){
    wx.navigateTo({
      url: '/pages/Inteldocking/Inteldocking',
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})